<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('item_sales_temps', function (Blueprint $table) {
            $table->id();
            $table->String('OrderCtrlNum');
            $table->Integer('itemctrlnum');
            $table->decimal('quantity',12,2);
            $table->decimal('price',12,2);
            $table->Integer('UserId');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('item_sales_temps');
    }
};
